Subject: bug#8483: missing serial number in soem automake-provided m4 files

From: Stefano Lattarini <[email-masked]>
Date: Sun, 17 Apr 2011 12:47:12 +0200

tags 8483 patch
close 8483
thanks

Hello Ralf, sorry for the delay.

On Tuesday 12 April 2011, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Tue, Apr 12, 2011 at 10:43:36AM CEST:
> > I've recently noticed that some *.m4 files in the Automake distribution
> > lack a serial number:
> > 
> >   $ cd ~/src/automake
> >   $ grep -L '# *serial' m4/*.m4
> >   m4/amversion.m4
> >   m4/auxdir.m4
> >   m4/gcj.m4
> >   m4/install-sh.m4
> >   m4/mkdirp.m4
> >   m4/python.m4
> >   m4/runlog.m4
> >   m4/strip.m4
> >   m4/upc.m4
> > 
> > Is there a reason for this?
> 
> Not that I know of.
> 
> > If not, should we add serial numbers to those files?
> 
> Yes, please.  Please do a rough check of history, in case they used to
> have a serial number at one time.
>
They didn't.

> Pick one that is higher than that.
> If master and branch-1.11 have different versions of files, master
> should have its serial bumped by a few, let's say five at least, so we
> don't run into trouble when we update 1.11.
>
Done; the files that differed were `python.m4', `install-sh.m4' and
`gcj.m4'.  Also, while the file `amversion.in' was the same in the two
branches, the file `amversion.m4' generated from it is expected to
change among different automake versions (as it contains references
to `@VERSION@' and `@APIVERSION@'), so I've bumped the serial number
of `amversion.in' too after merging into master.

> Patches against active branches preapproved.
>
Pushed.

Regards,
  Stefano